org.apache.tinkerpop.gremlin.hadoop.jsr223

## Class HadoopGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.hadoop.jsr223.HadoopGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

      public final class HadoopGremlinPlugin
      extends AbstractGremlinPlugin

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `NAME`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `customizers, moduleName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Customizer[]>` | `getCustomizers(String scriptEngineName)` Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`.
    `static HadoopGremlinPlugin` | `instance()`
    `boolean` | `requireRestart()` Some modules may require a restart of the plugin host for the classloader to pick up the features.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinPlugin

      `getCustomizers`

- - ### Field Detail

    - #### NAME

          protected static String NAME

  - ### Method Detail

    - #### getCustomizers

          public Optional<Customizer[]> getCustomizers(String scriptEngineName)

      Description copied from interface: `GremlinPlugin`
      Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`. The implementation should filter the returned `Customizers` according to the supplied name of the Gremlin-enabled `ScriptEngine`. By providing a filter, `GremlinModule` developers can have the ability to target specific `ScriptEngines`.
      Specified by:
        `getCustomizers` in interface `GremlinPlugin`
      Overrides:
        `getCustomizers` in class `AbstractGremlinPlugin`
      Parameters:
        `scriptEngineName` - The name of the `ScriptEngine` or null to get all the available `Customizers`

    - #### requireRestart

          public boolean requireRestart()

      Description copied from interface: `GremlinPlugin`
      Some modules may require a restart of the plugin host for the classloader to pick up the features. This is typically true of modules that rely on `Class.forName()` to dynamically instantiate classes from the root classloader (e.g. JDBC drivers that instantiate via @{code DriverManager}).

    - #### instance

          public static HadoopGremlinPlugin instance()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.